import http from './http'

// 获取code
export function authorize(data, authorization) {
    return http.post("/h5/Oauth/authorize",
        data,
        true,
    );
}

// 获取用户信息
export function getUserInfo(data, authorization) {
    return http.post("/h5/Oauth/getUserInfo",
        data,
        true,
    );
}

// 我的奖品
export function getMyPrize(data, authorization) {
    return http.post("/h5/activity/getMyPrize",
        data,
        true,
        authorization
    );
}

// 抽奖
export function draw(data, authorization) {
    return http.post("/h5/activity/draw",
        data,
        true,
        authorization
    );
}

// 兑奖
export function exchangePrize(data, authorization) {
    return http.post("/h5/activity/exchangePrize",
        data,
        true,
        authorization
    );
}